//SRIEOAJ1 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*        This program is provided by SimoTime Technologies          *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Sort EBCDIC-encoded file into an ASCII collating sequence.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* This example will sort an EBCDIC-encoded sequential file using
//* the ALTSEQ function of SORT to create an EBCDIC-encoded output
//* file that is arranged in an ASCII collating sequence.
//*
//* Note; Refer to SRTMKEJ8.jcl to create the data files to be used
//* as SORTIN.
//*
//* Step 1, DELSEQS1 will delete any previously created files.
//* Step 2, SRTSEQS3 will sort the file.
//*
//* CAUTION! Since the ALTSEQ is defined at the binary (or hexadecimal)
//*          level and step 3 will only work for ASCII-encoded files.
//*
//* This job uses sorting specifications (SYSIN) that are defined in
//* a Partitioned Data Set Member (PDSM).
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//* 1. Demonstrate how to use IEFBR14 with DD statements to delete
//*    files that have been created by a previous execution of this
//*    job.
//* 2. Demonstrate how to use the SORT program to sort a file based
//*    on the value in position five (5) of each record.
//*    This example uses a Partitioned Data Set Member (PDSM) to define
//*    the SORT specifications that include an ALTSEQ Table to sort
//*    an ASCII-encoded data file into an EBCDIC collating sequence.
//*
//* *******************************************************************
//* Step 1 of 2,
//*      Delete any previously created file...
//*
//DELSEQS1 EXEC PGM=IEFBR14
//DDSAASC1 DD  DSN=SIMOTIME.DATA.DDSAEBC1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 2,
//*      Sort the file, read an ASCII-encoded file and create an output
//*      file that is arranged in an EBCDIC collating sequence.
//*
//SRTSEQS3 EXEC PGM=SORT,
//             REGION=1024K
//SYSIN    DD  DSN=SIMOTIME.PDS.PARMLIB(SRTQIEOA),DISP=SHR
//SORTIN   DD  DSN=SIMOTIME.DATA.DDSUEBC1,DISP=SHR
//SORTOUT  DD  DSN=SIMOTIME.DATA.DDSAEBC1,DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
//
