//SRTMKEJ8 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Create EBCDIC-encoded convert to ASCII-encoded test files.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* Step 1, DELSEQS1 will delete any previously created files.
//* Step 2, CRTSEQS2 will create a new EBCDIC-encoded test file.
//* Step 3, CVTSEQS3 will read EBCDIC file and create ASCII file.
//*
//* CAUTION! This job is expected to run on a Micro Focus server that
//*          has been configured for an ASCII-encoded environment.
//*
//* 1. Demonstrate how to use IEFBR14 with DD statements to delete
//*    files that have been created by a previous execution of this
//*    job.
//* 2. Demonstrate how to use IEBGENER to create and populate a new
//*    record sequential file with eighty (80) byte fixed length
//*    records.
//* 3. Demonstrate how to use a conversion program to read a file with
//*    EBCDIC-encoded records and create a new file with ASCII-encoded
//*    records.
//*
//* *******************************************************************
//* Step 1 of 3,
//*      Delete any previously created file...
//*
//DELSEQS1 EXEC PGM=IEFBR14
//DDSUASC1 DD  DSN=SIMOTIME.DATA.DDSUASC1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//DDSUEBC1 DD  DSN=SIMOTIME.DATA.DDSUEBC1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 3,
//*      Create and populate a new EBCDIC-encoded test file...
//*
//CRTSEQS2 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//SYSUT1   DD  *
000   ...1....:....2....:....3....:....4....:....5....:....6....:....7.
001 A C1 1100 0001 41 0100 0001
002 B C2 1100 0010 42 0100 0010
003 0 F0 1111 0000 30 0011 0000
004 C C3 1100 0011 43 0100 0011
005 a 81 1000 0001 61 0110 0001
006 b 82 1000 0010 62 0110 0010
007 1 F1 1111 0001 31 0011 0001
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.DDSUEBC1,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 3 of 3,
//*      Create and populate a new ASCII-encoded test file...
//*      Read the EBCDIC-encoded file and create a new file that is
//*      an ASCII-encoded file.
//*
//CVTSEQS3 EXEC PGM=CV80ERAR
//SYSOUT   DD  SYSOUT=*
//GETRS080 DD  DSN=SIMOTIME.DATA.DDSUEBC1,DISP=SHR
//PUTRS080 DD  DSN=SIMOTIME.DATA.DDSUASC1,DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//
